commit f94d58c3751e80efe471d3fa8b8bba48db0e489a
Author: freddy77 <freddy77>
Date:   Mon Jul 7 11:09:40 2008 +0000

    fix portability problem in ctlib

diff --git a/ChangeLog b/ChangeLog
index 478b039..d6051be 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,9 +1,13 @@
+Mon Jul 07 13:09:20 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/ctlib/unittests/common.c: make portable to win32
+	* src/odbc/prepare_query.c: add small comment
+
 Sun Jul  6 12:25:38 EDT 2008	JK Lowden <jklowden@freetds.org>
 	* src/ctlib/unittests/Makefile.am src/ctlib/unittests/common.c
 	* src/ctlib/unittests/common.h
 	- unit tests accept command-line options
 	* src/ctlib/unittests/datafmt.c added
-	
+
 Sat Jul  5 18:52:45 EDT 2008	JK Lowden <jklowden@freetds.org>
 	* include/cspublic.h src/ctlib/cs.c src/ctlib/ct.c
 	* src/ctlib/unittests/Makefile.am src/ctlib/unittests/common.c
@@ -11,7 +15,7 @@ Sat Jul  5 18:52:45 EDT 2008	JK Lowden <jklowden@freetds.org>
 	- cs_convert sets output resultlen even when dest is too small. 
 	* src/odbc/prepare_query.c src/odbc/unittests/blob1.c
 	- make it compile....
-	
+
 Fri Jul  4 16:59:48 EDT 2008	JK Lowden <jklowden@freetds.org>
 	* include/tds.h src/odbc/odbc.c
 	- src/odbc/prepare_query.c src/odbc/unittests/blob1.c
@@ -379,4 +383,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2540 2008/07/06 16:44:24 jklowden Exp $
+$Id: ChangeLog,v 1.2541 2008/07/07 11:09:40 freddy77 Exp $
diff --git a/src/ctlib/unittests/common.c b/src/ctlib/unittests/common.c
index 993e2f4..20e5e21 100644
--- a/src/ctlib/unittests/common.c
+++ b/src/ctlib/unittests/common.c
@@ -24,7 +24,7 @@
 #include "common.h"
 #include "ctlib.h"
 
-static char software_version[] = "$Id: common.c,v 1.17 2008/07/06 16:44:24 jklowden Exp $";
+static char software_version[] = "$Id: common.c,v 1.18 2008/07/07 11:09:42 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 char USER[512];
@@ -46,6 +46,27 @@ int servermsg_cb_invoked = 0;
 
 static CS_RETCODE continue_logging_in(CS_CONTEXT ** ctx, CS_CONNECTION ** conn, CS_COMMAND ** cmd, int verbose);
 
+#if defined(__MINGW32__) || defined(_MSC_VER)
+static char *
+tds_dirname(char* path)
+{
+	char *p, *p2;
+
+	for (p = path + strlen(path); --p > path && (*p == '/' || *p == '\\');)
+		*p = '\0';
+
+	p = strrchr(path, '/');
+	if (!p)
+		p = path;
+	p2 = strrchr(p, '\\');
+	if (p2)
+		p = p2;
+	*p = 0;
+	return path;
+}
+#define dirname tds_dirname
+
+#endif
 
 CS_RETCODE
 read_login_info(void)
diff --git a/src/odbc/prepare_query.c b/src/odbc/prepare_query.c
index 0ff289b..2904569 100644
--- a/src/odbc/prepare_query.c
+++ b/src/odbc/prepare_query.c
@@ -43,7 +43,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: prepare_query.c,v 1.65 2008/07/05 22:58:01 jklowden Exp $");
+TDS_RCSID(var, "$Id: prepare_query.c,v 1.66 2008/07/07 11:09:43 freddy77 Exp $");
 
 #define TDS_ISSPACE(c) isspace((unsigned char) (c))
 
@@ -276,6 +276,7 @@ continue_parse_prepared_query(struct _hstmt *stmt, SQLPOINTER DataPtr, SQLLEN St
 
 	switch(StrLen_or_Ind) {
 	case SQL_NTS:
+		/* TODO WCHAR */
 		len = strlen((char *) DataPtr);
 		break;
 	case SQL_NULL_DATA:

